Reference
Tags
List Tags
Query Parameters
q?|
Search query (slug/name)
namespace?|
limit?integer
Default
25Range
1 <= value <= 100Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/tags"{
"items": [
{
"attributes": {},
"color": "string",
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"namespace": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Tag
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
attributes?|
color?|
description?|
name*string
Length
1 <= length <= 64namespace?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/tags" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"attributes": {},
"color": "string",
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"namespace": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Tag
Path Parameters
tag_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"attributes": {},
"color": "string",
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"namespace": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Tag
Path Parameters
tag_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
attributes?|
color?|
description?|
name?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"attributes": {},
"color": "string",
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"namespace": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Tag
Path Parameters
tag_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}